### Function

# Qmi MessageGasDmsSetFirmwareAutoSimInput new

since: 1.36

#### Declaration [src]

    QmiMessageGasDmsSetFirmwareAutoSimInput*
    qmi_message_gas_dms_set_firmware_auto_sim_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageGasDmsSetFirmwareAutoSimInput`.

Available since: 1.36

#### Return value

Type: `QmiMessageGasDmsSetFirmwareAutoSimInput`

The newly created `QmiMessageGasDmsSetFirmwareAutoSimInput`. The returned value should be freed with qmi_message_gas_dms_set_firmware_auto_sim_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.